Bug 1282237 - Requesting a python3 package
Requesting a python3 package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-django-countries (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2015-11-15 12:31 EST by Giulio 'juliuxpigface'
Modified: 2016-05-09 01:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-09 01:48:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giulio 'juliuxpigface' 2015-11-15 12:31:54 EST
I've set up a basic Django project with Python3 and added the upstream python-django-countries. I've tested the basic usage and found no issues.

In my opinion, a port to Python3 of this package shall be made without encountering problems.

Additional info:
https://fedoraproject.org/wiki/Packaging:Python
https://fedoraproject.org/wiki/Changes/Python_3_as_Default
https://communityblog.fedoraproject.org/help-port-python-packages-to-python-3/
Comment 1 Jan Kurik 2016-02-24 08:58:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-05-06 12:25:59 EDT
Hello Slavek,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Bohuslav "Slavek" Kabrda 2016-05-09 01:48:12 EDT
Hi Dominika, this has actually already been built [1], I just forgot to close this bug. Closing now, thanks for pinging.

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=699053

Note You need to log in before you can comment on or make changes to this bug.